# guInternal.h File Reference

`#include "pspgu.h"`

Include dependency graph for guInternal.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | GuSettings
struct | GuDisplayList
struct | GuContext
struct | GuDrawBuffer
struct | GuLightSettings

## Typedefs

typedef void(* | GuCallback )(int)

## Functions

void | sendCommandi (int cmd, int argument)
void | sendCommandiStall (int cmd, int argument)
void | sendCommandf (int cmd, float argument)
void | callbackSig (int id, void *arg)
void | callbackFin (int id, void *arg)
void | resetValues ()

## Variables

unsigned int | gu_current_frame
GuContext | gu_contexts [3]
int | ge_list_executed [2]
void * | ge_edram_address
GuSettings | gu_settings
GuDisplayList * | gu_list
int | gu_curr_context
int | gu_init
int | gu_display_on
int | gu_call_mode
int | gu_states
GuDrawBuffer | gu_draw_buffer
unsigned int * | gu_object_stack []
int | gu_object_stack_depth
GuLightSettings | light_settings [4]

## Typedef Documentation

typedef void(* GuCallback)(int)

## Function Documentation

void callbackFin | ( | int | id,
|  | void * | arg
| ) |

void callbackSig | ( | int | id,
|  | void * | arg
| ) |

void resetValues | ( |  | ) |

void sendCommandf | ( | int | cmd,
|  | float | argument
| ) |

void sendCommandi | ( | int | cmd,
|  | int | argument
| ) |

void sendCommandiStall | ( | int | cmd,
|  | int | argument
| ) |

## Variable Documentation

void* ge_edram_address

int ge_list_executed[2]

int gu_call_mode

GuContext gu_contexts[3]

int gu_curr_context

unsigned int gu_current_frame

int gu_display_on

GuDrawBuffer gu_draw_buffer

int gu_init

GuDisplayList* gu_list

unsigned int* gu_object_stack[]

int gu_object_stack_depth

GuSettings gu_settings

int gu_states

GuLightSettings light_settings[4]